--- title: "Executes an administrative command based on the provided parameters." slug: "executes-an-administrative-command-based-on-the-provided-parameters-3" updated: 2025-08-20T01:02:48Z published: 2026-03-20T12:47:08Z canonical: "docs.grassfish.com/executes-an-administrative-command-based-on-the-provided-parameters-3" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Executes an administrative command based on the provided parameters. Post/api/admin/runcommand This method is intended for administrative use and requires appropriate permissions. The command execution is dependent on the provided parameters and the services injected into the method. SecurityOAuth Authorization using OAuth2 with Client Credentials FlowClient Credentials Authorization URLhttps://identity.eu01.grassfish.com/connect/authorize Token URLhttps://identity.eu01.grassfish.com/connect/token Header parametersx-correlationTokenstring x-clientIdstring The external client ID for identifying the client. Min length0Max length128 x-onBehalfOfstringMin length0Max length24 api-versionstring Body parameters The parameters that define the command to be executed. object Represents the parameters required to execute a command in the system. commandNamestring | null The name of the command to be executed. Possible values: requestentities, assurefallbacksigns, reprocessmediaintooling, clearslavedataentities. manuallyForcedboolean Indicating whether the operation was manually forced. Default is false. entityNames Array of string | null Restricts the command to specific entities. If not provided, the command will apply to all entities. string keystring | null The unique identifier of the entity to which the command applies. Min length0Max length22 subTypestring | null The subtype of the entity to which the command applies. Only used for the requestentities command. clientCodestring | null The client code for which the command is executed. Min length0Max length22 mediaTypestring Valid values[ "None", "Audio", "Video", "Photo", "Text", "HtmlSign", "Json", "HtmlTemplate", "WebPage", "File" ] object Represents the parameters required to execute a command in the system. commandNamestring | null The name of the command to be executed. Possible values: requestentities, assurefallbacksigns, reprocessmediaintooling, clearslavedataentities. manuallyForcedboolean Indicating whether the operation was manually forced. Default is false. entityNames Array of string | null Restricts the command to specific entities. If not provided, the command will apply to all entities. string keystring | null The unique identifier of the entity to which the command applies. Min length0Max length22 subTypestring | null The subtype of the entity to which the command applies. Only used for the requestentities command. clientCodestring | null The client code for which the command is executed. Min length0Max length22 mediaTypestring Valid values[ "None", "Audio", "Video", "Photo", "Text", "HtmlSign", "Json", "HtmlTemplate", "WebPage", "File" ] object Represents the parameters required to execute a command in the system. commandNamestring | null The name of the command to be executed. Possible values: requestentities, assurefallbacksigns, reprocessmediaintooling, clearslavedataentities. manuallyForcedboolean Indicating whether the operation was manually forced. Default is false. entityNames Array of string | null Restricts the command to specific entities. If not provided, the command will apply to all entities. string keystring | null The unique identifier of the entity to which the command applies. Min length0Max length22 subTypestring | null The subtype of the entity to which the command applies. Only used for the requestentities command. clientCodestring | null The client code for which the command is executed. Min length0Max length22 mediaTypestring Valid values[ "None", "Audio", "Video", "Photo", "Text", "HtmlSign", "Json", "HtmlTemplate", "WebPage", "File" ] Responses200 OK Expand Allobject Returns the result of a command execution. successobject (Contracts.Common.Jsons.Common.SuccessJson) okboolean messagestring | null unauthorizedAccessboolean | null notFoundboolean | null correlationTokenstring | null errors Array of object (Contracts.Common.Jsons.Common.SuccessJsonError) | null object messagestring | null idstring Valid values[ "InvalidDatePeriodEndDateBeforeStartDate", "NameAlreadyTaken", "ExternalIdAlreadyTaken", "CodeAlreadyTaken" ] fieldNamestring | null isRequiredboolean | null isOutOfRangeboolean | null isTakenboolean | null errorCodestring | null defaultDisplayMessagestring | null errorCodestring | null detailsobject (Contracts.Common.Jsons.Common.ErrorDetailsJson) messagestring | null defaultDisplayMessagestring | null Expand Allobject Returns the result of a command execution. successobject (Contracts.Common.Jsons.Common.SuccessJson) okboolean messagestring | null unauthorizedAccessboolean | null notFoundboolean | null correlationTokenstring | null errors Array of object (Contracts.Common.Jsons.Common.SuccessJsonError) | null object messagestring | null idstring Valid values[ "InvalidDatePeriodEndDateBeforeStartDate", "NameAlreadyTaken", "ExternalIdAlreadyTaken", "CodeAlreadyTaken" ] fieldNamestring | null isRequiredboolean | null isOutOfRangeboolean | null isTakenboolean | null errorCodestring | null defaultDisplayMessagestring | null errorCodestring | null detailsobject (Contracts.Common.Jsons.Common.ErrorDetailsJson) messagestring | null defaultDisplayMessagestring | null Expand Allobject Returns the result of a command execution. successobject (Contracts.Common.Jsons.Common.SuccessJson) okboolean messagestring | null unauthorizedAccessboolean | null notFoundboolean | null correlationTokenstring | null errors Array of object (Contracts.Common.Jsons.Common.SuccessJsonError) | null object messagestring | null idstring Valid values[ "InvalidDatePeriodEndDateBeforeStartDate", "NameAlreadyTaken", "ExternalIdAlreadyTaken", "CodeAlreadyTaken" ] fieldNamestring | null isRequiredboolean | null isOutOfRangeboolean | null isTakenboolean | null errorCodestring | null defaultDisplayMessagestring | null errorCodestring | null detailsobject (Contracts.Common.Jsons.Common.ErrorDetailsJson) messagestring | null defaultDisplayMessagestring | null 400 Bad Request object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* 401 Unauthorized 403 Forbidden object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* object typestring | null titlestring | null statusinteger (int32) | null detailstring | null instancestring | null property* 500 Internal Server Error